<?php
/***************************************************************************************************************************************************

	History:
		File modified on 10/26/2005 - added sajax code to resolve probs. with load time on prod/cat records due to large number of prod. options
		File modified on 11/23/2005 - added line to export get_rule() to AJAX
		File modified on 01/24/2006 - added line to export large_subtract to AJAX
		File modified on 03/10/2006 - for new config code...this used to be named pre_admin.php, and is now pre_control_panel.php
		File modified on 01/26/2007 - for sc_data check
		File modified on 07/16/2008 - for multi tiered pricing
		File modified on 08/17/2009 - Quick search feature causing regular search to not work right in IE
		File modified on 03/03/2010 - BUG FIX for v3.1.3 - can't download customer uploaded files in control panel
		File modified on 02/19/2013 - SC130218 XSS patch for table parameter
		
***************************************************************************************************************************************************/
$on_admin_page = 1;

// if sending a download, don't use compression
if (!empty($no_compression)) {
	ob_start();
} else {
	// compress output to browser for faster page loading
	@ob_start ('ob_gzhandler');
}

// include all things that should happen before headers are outputted....which are common to both storefront and admin
// this includes establishing the session, so nothing that uses sessions should appear above this
include dirname(__FILE__)."/pre_common.php";

if (!empty($_REQUEST['table']) && !preg_match('/^[a-zA-Z0-9-_]+$/',$_REQUEST['table'])) unset($_REQUEST, $_GET, $_POST);


/**********************************************************************
 The quick search feature in the CP toolbar mimics the regular search
 feature, but with fields having QUICK_SEARCH before their names.

 This detects a "quick search" and moves the data to where it should
 be so the search acts like a regular one
**********************************************************************/
if (!empty($_GET['QUICK_SEARCH_smp_search_text'])) {
	$_GET['smp_search_text'] 	= $_GET['QUICK_SEARCH_smp_search_text'];
	$_GET['qry'] 				= $_GET['QUICK_SEARCH_qry'];
	$_GET['smp_search_mode'] 	= $_GET['QUICK_SEARCH_smp_search_mode'];
	$_GET['search_what'] 		= $_GET['QUICK_SEARCH_search_what'];
}


$SC['qry_count'] = 0;




/*****************************************************
	Wipe out order if session expired
*****************************************************/
// This is also done in pre_common.php
// It needs to be done here only to ensure cart gets emptied if session timed out so no stock discrepancy can happen
if (function_exists('exp_sessions')) {
	$expired=exp_sessions();
	if($expired) {
		if(!empty($SC['order']['number_of_items'])) unset($SC['order']);
	}
}





/*****************************************************
 AJAX :)
*****************************************************/
// grab main sajax library file
require SC_CP_DIR.'/lib/sajax.php';

// startup ajax
$sajax_request_type = 'POST';
sajax_init();

// remove comment to debug via JS alerts
//$sajax_debug_mode = 1;

// register functions so we can call them via JS
sajax_export('generate_coupon_codes');
sajax_export('get_coupon_codes');
sajax_export('get_condition_prod_options');
sajax_export('get_condition_prod_option_choices');
sajax_export('get_option_fieldset');
sajax_export('get_pricing_fieldset');
sajax_export('get_file_upload_fields');
sajax_export('get_rule');
sajax_export('get_rule_set');
sajax_export('get_condition');
sajax_export('get_condition_values');
sajax_export('get_field_help');
sajax_export('large_subtract');
sajax_export('sc_data_check');
if (is_array($SC_module_sajax)) {
	foreach($SC_module_sajax as $function_name) {
		sajax_export($function_name);
	}
}
sajax_handle_client_request();

// store all tables in session, so we aren't constantly calling get_tables()
// only cache if not SC develope!
if (!$SC['tables'] || security_level("Squirrelcart Developer")) $SC['tables'] = get_tables(SC_DB);

// clean up temporary images used in GD manipulation
temp_image_cleanup();



/*****************************************
	Rich Text Editor (FCKeditor)
*****************************************/
// grab main file for library
include_once(SC_CP_DIR."/lib/fckeditor/fckeditor.php") ;

// this tells the PHP connector it's OK to be enabled
$_SESSION['fck_php_connector'] = security_level('Store Admin') ? true : false;
$_SESSION['blah'] = 'test';
?>